Xalan-Java 2.7.1: Class FuncExtFunctionAvailable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FuncExtFunctionAvailable

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.FuncExtFunctionAvailable

public class FuncExtFunctionAvailable
extends FunctionOneArg

Execute the ExtFunctionAvailable() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncExtFunctionAvailable()`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `setFunctionTable(FunctionTable aTable)` The function table is an instance field.

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`callArgVisitors, canTraverseOutsideSubtree, checkNumberArgs, deepEquals, fixupVariables, getArg0, getExpression, setArg, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncExtFunctionAvailable

    public FuncExtFunctionAvailable()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

### setFunctionTable

    public void setFunctionTable(FunctionTable aTable)

  The function table is an instance field. In order to access this instance field during evaluation, this method is called at compilation time to insert function table information for later usage. It should only be used during compiling of XPath expressions.
  Parameters:
    `aTable` - an instance of the function table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.